DEBRSIGN(1)

NOM
debrsign - Signer des fichiers .changes et .dsc Debian à distance avec SSH

SYNOPSIS
debrsign [options] [utilisateur@]hôte_distant [fichier-changes|fichier-dsc]

DESCRIPTION
debrsign prend soit un fichier .dsc non signé soit un fichier .changes non signé et son fichier .dsc non signé associé (obtenu en remplaçant le nom de l'architecture et l'extension .changes en .dsc) s'il apparaît dans le fichier .changes, et les signe en les copiant sur la machine distante en utilisant ssh(1) et en exécutant à distance debsign(1) sur cette machine. Toute option non listée ci-dessous est passée au programme debsign sur la machine distante.

Si un fichier .changes ou .dsc est fourni, il est signé. Sinon, debian/changelog est analysé pour déterminer le nom du fichier .changes à rechercher dans le répertoire parent.

Cet utilitaire permet à un développeur de construire un paquet sur une machine où il serait dangereux (du point de vue de la sécurité) de réaliser une signature. Il suffit de transférer les petits fichiers .dsc et .changes sur une machine sûre et d'utiliser le programme debsign pour les signer avant de les renvoyer. Ce programme automatise ce processus.

Consultez aussi debsign(1), qui permet d'effectuer l'opération dans l'autre sens, c'est-à-dire se connecter à la machine non sûre pour télécharger les fichiers .dsc et .changes, signer les fichiers localement, puis les renvoyer.

OPTIONS

-S  Chercher un fichier .changes uniquement pour le source plutôt qu'un fichier .changes correspondant à un paquet binaire.

-aarchitecture-debian, -ttype-de-système-GNU
    Veuillez consulter dpkg-architecture(1) pour une description de ces options. Ces options affectent la recherche du fichier .changes. Elles consistent à imiter le comportement de dpkg-buildpackage lors de la détermination du nom du fichier .changes.

--multi
    Mode des fichiers .changes multiarchitecture : cela signifie que debrsign doit utiliser le fichier le plus récent respectant le modèle paquet_version_*+*.changes, autorisant ainsi les fichiers .changes produits par dpkg-cross.

--path chemin-distant
    Indiquer le chemin du programme GPG sur l'hôte distant.

--help, --version
    Afficher respectivement le message d'aide et la version.

Autres options
    Toutes les autres options sont passées à debsign sur la machine distante.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d'environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

DEBRSIGN_PGP_PATH
    Équivaut à utiliser l'option --path en ligne de commande (voir ci-dessus).

VOIR AUSSI
debsign(1), dpkg-architecture(1), ssh(1)

AUTEUR
Ce programme a été écrit par Julian Gilbey <jdg@debian.org> et est distribué sous licence GPL, version 2 ou ultérieure.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.